org.apache.solr.handler.dataimport

## Class LogTransformer

- java.lang.Object
- - org.apache.solr.handler.dataimport.Transformer
  - - org.apache.solr.handler.dataimport.LogTransformer

-     public class LogTransformer
      extends Transformer

  A `Transformer` implementation which logs messages in a given template format.

  Refer to http://wiki.apache.org/solr/DataImportHandler for more details.

  This API is experimental and may change in the future.

  Since:
    solr 1.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LOG_LEVEL`
    `static String` | `LOG_TEMPLATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogTransformer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `transformRow(Map<String,Object> row, Context ctx)` The input is a row of data and the output has to be a new row.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG_TEMPLATE

          public static final String LOG_TEMPLATE

      See Also:
        Constant Field Values

    - #### LOG_LEVEL

          public static final String LOG_LEVEL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LogTransformer

          public LogTransformer()

  - ### Method Detail

    - #### transformRow

          public Object transformRow(Map<String,Object> row,
                                     Context ctx)

      Description copied from class: `Transformer`
      The input is a row of data and the output has to be a new row.
      Specified by:
        `transformRow` in class `Transformer`
      Parameters:
        `row` - A row of data
        `ctx` - The current context
      Returns:
        The changed data. It must be a `Map`<`String`, `Object`> if it returns only one row or if there are multiple rows to be returned it must be a `List`<`Map`<`String`, `Object`>>

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.